Bug 189215 - ncompress does not display statistics when compressing 0 length files
ncompress does not display statistics when compressing 0 length files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ncompress (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Vrabec
Ben Levenson
:
Depends On:
Blocks: FAST4.5APPROVED
  Show dependency treegraph
 
Reported: 2006-04-18 09:34 EDT by David Kovalsky
Modified: 2014-03-31 19:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-12 12:47:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
this patch fix both #189215 and #1892156 (636 bytes, patch)
2006-04-21 07:43 EDT, Peter Vrabec
no flags Details | Diff

  None (edit)
Description David Kovalsky 2006-04-18 09:34:52 EDT
Description of problem:
ncompress does not display statistics and compression results in verbose mode
when operating on 0 length files, actually it only prints file name but nothing else

Version-Release number of selected component (if applicable):
ncompress-4.2.4-40
ncompress-4.2.4-41.rhel4

How reproducible:
always

Steps to Reproduce:
$ touch foo
$ compress -v foo


  
Actual results:
foo:
# (without \n)

Expected results:
foo: No compression -- foo unchanged

Additional info:
$ echo jkl>bar
$ compress -v bar
bar: No compression -- bar unchanged

$ touch foo
$ compress -v foo
foo:
# (without \n)

works fine with the -f parameter
$ touch foo
$ compres -fv foo
foo:  -- replaced with foo.Z Compression: 100.00%
Comment 1 Peter Vrabec 2006-04-21 07:43:20 EDT
Created attachment 128078 [details]
this patch fix both #189215 and #1892156
Comment 10 Red Hat Bugzilla 2006-09-12 12:47:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0663.html

Note You need to log in before you can comment on or make changes to this bug.